/** apikey.h
 * APIキーの管理：C++ヘッダ
 *
 * @copyright	(c)studio pahoo
 * @author		パパぱふぅ
 * @開発環境	MinGW C++
 */
#ifndef APIKEY_H
#define APIKEY_H

#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <locale>
#include <winsock2.h>
#include <windows.h>
#include <commctrl.h>

//Google Cloud Platform APIキー名称
#define LABEL_GOOGLE_API	"Google Cloud Platform APIキー"
//Google Cloud Platform APIキー保存ファイル名
#define FNAME_GOOGLE_API	"GoogleAPIkey"
//Google Cloud Platform APIキー取得ページ
#define URL_GOOGLE_API		"https://cloud.google.com/"

//Yahoo!アプリケーションID キー名称
#define LABEL_YAHOO_API		"Yahoo!アプリケーションID"
//Yahoo!アプリケーションID 保存ファイル名
#define FNAME_YAHOO_API		"Yahoo!APIkey"
//Yahoo!アプリケーションID 取得ページ
#define URL_YAHOO_API		"https://developer.yahoo.co.jp/"

INT_PTR CALLBACK processGoogleAPIkey(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
void createGoogleAPIkey(HWND hDlg);
INT_PTR CALLBACK processYahooAPIkey(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
void createYahooAPIkey(HWND hDlg);

bool readApiKey(std::string fname, std::string* key);
bool writeApiKey(std::string fname, std::string key);
INT_PTR CALLBACK processSetAPIkey(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
void createSetAPIkey(HWND hDlg, std::string name, std::string fname, std::string url, std::string* key);

#endif
